The background queue, newest first
The background queue, newest first (posts:read)
Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.
GET
Publish runs (one job per post and one per target), target timeouts, schedule runs, replies, reposts and token refreshes. Done, failed and cancelled jobs are kept for 7 days.
header
AuthorizationBearer <token>API key (stk_...), or in the Community Edition the access token (stk_local_...)
status?stringValue in
"queued""running""done""failed""cancelled"kind?stringValue in
"publish_post""publish_target""target_timeout""run_schedule""refresh_channel""repeat_post""publish_reply""repost""notify_people""notify_person"limit?integerPage size (default 50, at most 200)
Range
1 <= value <= 200Default
50cursor?stringOpaque keyset cursor (the previous page's next_cursor)
OK
application/json- response
data*array<>next_cursor?stringcurl -X GET 'https://staqly.example.com/v1/jobs'{ "data": [ { "id": "string", "kind": "publish_post", "key": "string", "status": "queued", "run_at": "2019-08-24T14:15:22Z", "attempts": 0, "max_attempts": 0, "lease_until": "2019-08-24T14:15:22Z", "leased_by": "string", "last_error": "string", "payload": { "post_id": "string", "channel_id": "string", "schedule_id": "string", "index": 0, "parent_id": "string", "repost_by": "string", "event_id": "string", "user_id": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "done_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string"}